Subject: Re: [bug#34511] Add qtcolorwidgets
From: Ricardo Wurmus <[email-masked]>
To: <[email-masked]>
Cc: [email-masked]
Date: Sun, 17 Feb 2019 12:18:19 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

<[email-masked]> writes:

> This is a QT module that provides color management, e.g. a color wheel. https://gitlab.com/mattia.basaglia/Qt-Color-Widgets
>
> I'm adding this as a dependency for drawpile which I will also submit
> once this package definition is merged. There is unfortunately no
> release available for this, however drawpile bundles it's own copy of
> qtcolorwidgets if it doesn't find one.
>
> From 33d629801822ce2f3967f61a38ffe91205ea19bf Mon Sep 17 00:00:00 2001
> From: Pkill -9 <[email-masked]>
> Date: Sun, 17 Feb 2019 09:42:28 +0000
> Subject: [PATCH] gnu: Add qtcolorwidgets.
>
> * gnu/packages/qt.scm (qtcolorwidgets): New variable.
> ---

Thank you.  I pushed a modified version to the master branch with commit
b16640ac0.

Changes:

- added comments about the lack of a public release
- changed the version string, because “git” is not a valid version string
- wrapped the package definition in a let binding providing the commit and the
  Guix revision
- changed the comment style (margin comments use only one semicolon)
- expanded the description.

~~ Ricardo